Upsert single LCR route
PUT
/v1/ns/{nsid}/lcr/tables/{table}/routes/{prefix}/{selector}/{trunk}
const url = 'https://example.com/v1/ns/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/lcr/tables/example/routes/example/example/example';const options = { method: 'PUT', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"per_minute_cost":1,"setup_cost":1,"priority":1,"effective_on":"2026-04-15T12:00:00Z","valid_until":"2026-04-15T12:00:00Z"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PUT \ --url https://example.com/v1/ns/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/lcr/tables/example/routes/example/example/example \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "per_minute_cost": 1, "setup_cost": 1, "priority": 1, "effective_on": "2026-04-15T12:00:00Z", "valid_until": "2026-04-15T12:00:00Z" }'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”nsid
required
string format: uuid
Namespace UUID
table
required
string
prefix
required
string
selector
required
string
URL-encoded selector value
trunk
required
string
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
per_minute_cost
required
integer format: int64
setup_cost
integer format: int64
priority
integer
effective_on
string format: date-time
valid_until
string format: date-time
Examplegenerated
{ "per_minute_cost": 1, "setup_cost": 1, "priority": 1, "effective_on": "2026-04-15T12:00:00Z", "valid_until": "2026-04-15T12:00:00Z"}Responses
Section titled “Responses”OK
Media typeapplication/json
object
success
required
boolean
Example
{ "success": true}default
Section titled “default”Error response
Media typeapplication/problem+json
RFC 7807 Problem Details
object
type
Problem type slug URI
string
title
string
status
integer
detail
string
key
additional properties
any
Examplegenerated
{ "type": "example", "title": "example", "status": 1, "detail": "example"}